### Method

# GLib Queue pop_nth_link

since: 2.4

#### Declaration

    GList*
    g_queue_pop_nth_link (
      GQueue* queue,
      guint n
    )

#### Description

Removes and returns the link at the given position.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`n`

  Type: `guint`

  The link’s position.

#### Return value

Type: A list of `gpointer`

The `n`‘th link, or `NULL` if `n` is off the end of `queue`.

The data is owned by the instance.